<?php
/**
 * Template Name: Blog Full Width
 *
 * Page Template File
 *
 * @package zeino
 */
$zeino_current_page_id = get_the_ID();
$zeino_blog_two_post_column = !empty( get_post_meta( $zeino_current_page_id, '_zeino_post_column_size', true ) ) ? get_post_meta( $zeino_current_page_id, '_zeino_post_column_size', true ) : '4';
$zeino_blog_two_sidebar_position = get_post_meta( $zeino_current_page_id, '_zeino_sidebar_position', true );
$zeino_sidebar_condition = !empty( get_post_meta( $zeino_current_page_id, '_zeino_show_sidebar', true ) ) ? get_post_meta( $zeino_current_page_id, '_zeino_show_sidebar', true ) : 'off';
$zeino_main_col_size = ( 'off' == $zeino_sidebar_condition ) ? 12 : 8;
get_header();
?>

	<section class="blog-one thm-white-bg blog-grid-page">
	    <div class="container">
	    	<div class="row">

	    		<?php if ( 'on' == $zeino_sidebar_condition && 'left_side' == $zeino_blog_two_sidebar_position ) : ?>
					<div class="col-lg-4 left-sidebar">
						<?php get_sidebar(); ?>
					</div><!-- /.col-lg-4 -->
		        <?php endif; ?>

				<div class="col-lg-<?php echo esc_attr($zeino_main_col_size);  ?>">
			        <div class="row masonary-layout">
			        	<?php
			        		$zeino_default_posts_per_page = get_option( 'posts_per_page' );
			        		$zeino_blog_two_paged = ( get_query_var('paged') ) ? get_query_var('paged') : 1;
			        		$zeino_blog_two_query = new WP_Query(array(
			        			'post_type' => 'post',
			        			'paged'          => $zeino_blog_two_paged,
			        			'posts_per_page' => $zeino_default_posts_per_page,
			        		));
			        	?>
			        	<?php if ( $zeino_blog_two_query->have_posts() ) : ?>

							<?php
							/* Start the Loop */
							while ( $zeino_blog_two_query->have_posts() ) :
								$zeino_blog_two_query->the_post();
								/*
								 * Include the Post-Type-specific template for the content.
								 * If you want to override this in a child theme, then include a file
								 * called content-___.php (where ___ is the Post Type name) and that will be used instead.
								 */
								?>
								<div class="col-lg-<?php echo esc_attr( $zeino_blog_two_post_column ); ?> masonary-item">
									<div id="post-<?php esc_attr(the_ID()); ?>" <?php esc_attr(post_class('blog-one__single')); ?>>
									    <div class="blog-one__image">
								            <?php wp_kses(zeino_post_thumbnail( 'zeino_core_370x250' ), 'zeino_allowed_tags'); ?>
									    </div><!-- /.blog-one__image -->
									    <div class="blog-one__content">
									        <div class="blog-one__content-inner">
									            <div class="blog-one__meta">
									                <?php zeino_posted_by('blog-one'); ?>
									                <?php zeino_comments_meta('blog-one'); ?>
									            </div><!-- /.blog-one__meta -->
									            <h3 class="blog-one__title"><a href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo esc_html(get_the_title()); ?></a></h3><!-- /.blog-one__title -->
									        </div><!-- /.blog-one__content-inner -->
									        <a href="<?php echo esc_url(get_the_permalink()); ?>" class="blog-one__link"><i class="icon-revresed zeino-icon-left-arrow"></i></a>
									        <span class="blog-one__date"> <?php echo wp_kses( the_time( get_option( 'date_format' ) ), 'zeino_allowed_tags' ); ?> </span>
									    </div><!-- /.blog-one__content -->
									</div><!-- /.blog-one__single -->
								</div><!-- /.col-lg-4 -->
							<?php endwhile; ?>
							<div class="col-lg-12 masonary-item">
								<div class="blog-post-pagination text-center">
									<?php zeino_custom_query_pagination( $zeino_blog_two_paged, $zeino_blog_two_query->max_num_pages); ?>
								</div><!-- /.blog-post-pagination text-center -->
							</div><!-- /.col-lg-12 -->
						<?php else : ?>
							<div class="col-lg-12">
								<?php get_template_part( 'template-parts/content', 'none' ); ?>
							</div><!-- /.col-lg-12 -->
						<?php endif; ?>
						<?php wp_reset_postdata(); ?>
			        </div><!-- /.row -->



		        </div><!-- /.col-lg-<?php echo esc_attr($zeino_main_col_size);  ?> -->

		        <?php if ( 'on' == $zeino_sidebar_condition && 'right_side' == $zeino_blog_two_sidebar_position ) : ?>
					<div class="col-lg-4 right-sidebar">
						<?php get_sidebar(); ?>
					</div><!-- /.col-lg-4 -->
		        <?php endif; ?>

	        </div><!-- /.row -->
	    </div><!-- /.container -->
	</section><!-- /.blog-one -->

<?php
get_footer();