<?php

/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package zeino
 */

?>
<footer class="site-footer">
    <span class="site-footer__bubble site-footer__bubble-one"></span>
    <span class="site-footer__bubble site-footer__bubble-two"></span>
    <span class="site-footer__bubble site-footer__bubble-three"></span>
    <span class="site-footer__bubble site-footer__bubble-four"></span>
    <span class="site-footer__bubble site-footer__bubble-five"></span>

    <?php if (is_active_sidebar('footer-1')) : ?>
        <div class="site-footer__upper ">
            <div class="container">
                <div class="footer-widget__5-col-wrap ">
                    <?php dynamic_sidebar('footer-1'); ?>
                </div><!-- /.footer-widget__4-col-wrap -->
            </div><!-- /.container -->
        </div><!-- /.site-footer__upper -->

    <?php endif; ?>
    <?php if ('on' == get_theme_mod('footer_bottom', 'on')) :; ?>

        <div class="site-footer__bottom">
            <div class="container">
                <hr />
                <div class="inner-container">
                    <?php $zeino_footer_copy_text = !empty(get_theme_mod('footer_copytext')) ? get_theme_mod('footer_copytext') : esc_html__('© copyright 2020 by ', 'zeino') . wp_kses('<a href="#">Layerdrops.com</a>', 'zeino_allowed_tags') ?>
                    <p class="site-footer__copy"><?php echo wp_kses($zeino_footer_copy_text, 'zeino_allowed_tags'); ?></p><!-- /.site-footer__copy -->
                    <div class="site-footer__social">
                        <?php
                        $zeino_footer_social_settings_defaults = [
                            [
                                'link_icon' => esc_html('fa-facebook-f'),
                                'link_url'  => esc_url('https://facebook.org/'),
                            ],
                            [
                                'link_icon'  => esc_html('fa-twitter'),
                                'link_url' => esc_url('https://twitter.org/'),
                            ],
                        ];
                        $zeino_footer_social_settings = get_theme_mod('footer_social_icons', $zeino_footer_social_settings_defaults);
                        foreach ($zeino_footer_social_settings as $zeino_footer_social_setting) : ?>
                            <a href="<?php echo esc_url($zeino_footer_social_setting['link_url']); ?>" class="fa <?php echo esc_attr($zeino_footer_social_setting['link_icon']); ?>"></a>
                        <?php endforeach; ?>
                    </div><!-- /.site-footer__social -->
                </div><!-- /.inner-container -->
            </div><!-- /.container -->
        </div><!-- /.site-footer__bottom -->

    <?php endif; ?>
</footer><!-- /.site-footer -->
</div><!-- /.page-wrapper -->

<div class="side-menu__block">


    <div class="side-menu__block-overlay custom-cursor__overlay">
        <div class="cursor"></div>
        <div class="cursor-follower"></div>
    </div><!-- /.side-menu__block-overlay -->
    <div class="side-menu__block-inner ">
        <div class="side-menu__top justify-content-end">

            <a href="#" class="side-menu__toggler side-menu__close-btn"></a>
        </div><!-- /.side-menu__top -->


        <nav class="mobile-nav__container">
            <!-- content is loading via js -->
        </nav>
        <div class="side-menu__sep"></div><!-- /.side-menu__sep -->
        <div class="side-menu__content">
            <?php
            $zeino_mobile_menu_content = get_theme_mod('zeino_mobile_menu_text', esc_html__('Lorem Ipsum is simply dummy text the printing and setting industry. Lorm Ipsum has been the industry', 'zeino')); ?>
            <?php if ('' != $zeino_mobile_menu_content) : ?>
                <?php echo wp_kses($zeino_mobile_menu_content, 'zeino_allowed_tags'); ?>
            <?php endif; ?>
            <div class="side-menu__social">
                <?php
                $zeino_mobile_menu_social_settings_defaults = [
                    [
                        'link_icon' => esc_html('fa-facebook-f'),
                        'link_url'  => esc_url('https://facebook.org/'),
                    ],
                    [
                        'link_icon'  => esc_html('fa-twitter'),
                        'link_url' => esc_url('https://twitter.org/'),
                    ],
                ];
                $zeino_mobile_menu_social_settings = get_theme_mod('mobile_menu_social_icons', $zeino_mobile_menu_social_settings_defaults);
                foreach ($zeino_mobile_menu_social_settings as $zeino_mobile_menu_social_setting) : ?>
                    <a href="<?php echo esc_url($zeino_mobile_menu_social_setting['link_url']); ?>" class="fa <?php echo esc_attr($zeino_mobile_menu_social_setting['link_icon']); ?>"></a>
                <?php endforeach; ?></div>
        </div><!-- /.side-menu__content -->
    </div><!-- /.side-menu__block-inner -->
</div><!-- /.side-menu__block -->


<?php if ('on' == get_theme_mod('scroll_to_top', 'on')) :; ?>
    <a href="#" data-target="html" class="scroll-to-target scroll-to-top"><i class="fa <?php echo esc_attr(get_theme_mod('scroll_to_top_icon', 'fa-angle-up')); ?>"></i></a>
<?php endif; ?>

<?php wp_footer(); ?>

</body>

</html>