<?php

/**
 * zeino functions for getting inline styles from theme customizer
 *
 * @link https://developer.wordpress.org/themes/basics/theme-functions/
 *
 * @package zeino
 */

if (!function_exists('zeino_theme_customizer_scripts')) :
	function zeino_theme_customizer_scripts()
	{

		// zeino color option

		$zeino_inline_style = ':root {--thm-base-color: ' . get_theme_mod('theme_base_color', sanitize_hex_color('#e7062b')) . '; --thm-primary-color: ' . get_theme_mod('theme_primary_color', sanitize_hex_color('#F7C324')) . '; --thm-black-color: ' . get_theme_mod('theme_black_color', sanitize_hex_color('#2a2d3b')) . '; --thm-gray-color: ' . get_theme_mod('theme_gray_color', sanitize_hex_color('#fbf8f4')) . '; }';

		$zeino_inner_banner_bg = !empty(get_theme_mod('header_banner_image')) ? get_theme_mod('header_banner_image') : esc_url(get_template_directory_uri() . '/assets/images/video-bg-1-1.jpg');
		$zeino_inline_style .= '.inner-banner { background-image: url(' . $zeino_inner_banner_bg . '); }';
		$zeino_preloader_image = !empty(get_theme_mod('preloader_image')) ? get_theme_mod('preloader_image') : esc_url(get_template_directory_uri() . '/assets/images/preloader.gif');
		$zeino_inline_style .= '.preloader { background-image: url(' . $zeino_preloader_image . '); }';


		// inner banner styles
		$zeino_inner_banner_overlay = '';
		$zeino_inner_banner_overlay .= (false == get_theme_mod('header_banner_image_overlay', true)) ? '.inner-banner:before {display: none;}' : '';

		$zeino_inner_banner_overlay_opacity = (100 == get_theme_mod('header_banner_image_overlay_opacity', esc_html('90'))) ? 100 : '.' . get_theme_mod('header_banner_image_overlay_opacity', esc_html('90'));
		$zeino_inner_banner_overlay .= '.inner-banner:before {opacity: ' . $zeino_inner_banner_overlay_opacity . ';}';


		$zeino_inner_banner_overlay .= ('solid_color' == get_theme_mod('header_banner_image_overlay_type', 'solid_color')) ? '.inner-banner:before {background-image: none; background-color: ' . get_theme_mod('header_banner_image_overlay_solid_color', sanitize_hex_color('#E7062B')) . ' ;}' : '';


		$zeino_inner_banner_gradient_overlay = '';

		$zeino_inner_banner_overlay_gradient_colors_defaults = [
			[
				'color' => sanitize_hex_color('#8d0f37'),
				'color_stop' => esc_html('0'),
			],
			[
				'color' => sanitize_hex_color('#c40a3b'),
				'color_stop' => esc_html('50'),
			],
			[
				'color' => sanitize_hex_color('#ea072e'),
				'color_stop' => esc_html('100'),
			],
		];
		$zeino_inner_banner_overlay_gradient_colors = get_theme_mod('header_banner_image_overlay_gradient_color', $zeino_inner_banner_overlay_gradient_colors_defaults);

		$zeino_inner_banner_overlay_gradient_color = '';
		foreach ($zeino_inner_banner_overlay_gradient_colors as $color) :
			$zeino_inner_banner_overlay_gradient_color .= ', ' . $color['color'] . ' ' . $color['color_stop'] . '% ';
		endforeach;

		$zeino_inner_banner_gradient_overlay .= '.inner-banner:before {background-image: linear-gradient(' . get_theme_mod('header_banner_image_overlay_gradient_angle',  esc_html('-120')) . 'deg' . ' ' . $zeino_inner_banner_overlay_gradient_color . ');}';
		$zeino_inner_banner_overlay .= ('gradient' == get_theme_mod('header_banner_image_overlay_type', true)) ? $zeino_inner_banner_gradient_overlay : '';

		$zeino_inline_style .= $zeino_inner_banner_overlay;


		// sticked menu styles

		$zeino_sticked_menu_bg = '';


		$zeino_sticked_menu_bg .= ('solid_color' == get_theme_mod('header_stricked_menu_bg_type', true)) ? '.site-header .stricked-menu {background-image: none; background-color: ' . get_theme_mod('header_stricked_menu_bg_solid_color', sanitize_hex_color('#E7062B')) . ' ;}' : '';


		$zeino_inner_banner_gradient_overlay = '';

		$zeino_sticked_menu_bg_gradient_colors_defaults = [
			[
				'color' => sanitize_hex_color('#8d0f37'),
				'color_stop' => esc_html('0'),
			],
			[
				'color' => sanitize_hex_color('#c40a3b'),
				'color_stop' => esc_html('50'),
			],
			[
				'color' => sanitize_hex_color('#ea072e'),
				'color_stop' => esc_html('100'),
			],
		];
		$zeino_sticked_menu_bg_gradient_colors = get_theme_mod('header_stricked_menu_bg_gradient_color', $zeino_sticked_menu_bg_gradient_colors_defaults);

		$zeino_sticked_menu_bg_gradient_color = '';
		foreach ($zeino_sticked_menu_bg_gradient_colors as $color) :
			$zeino_sticked_menu_bg_gradient_color .= ', ' . $color['color'] . ' ' . $color['color_stop'] . '% ';
		endforeach;

		$zeino_inner_banner_gradient_overlay .= '.site-header .stricked-menu {background-image: linear-gradient(' . get_theme_mod('header_stricked_menu_bg_gradient_angle',  esc_html('-120')) . 'deg' . ' ' . $zeino_sticked_menu_bg_gradient_color . ');}';
		$zeino_sticked_menu_bg .= ('gradient' == get_theme_mod('header_stricked_menu_bg_type', true)) ? $zeino_inner_banner_gradient_overlay : '';

		$zeino_inline_style .= $zeino_sticked_menu_bg;


		$zeino_inline_style .= '.header-navigation ul.navigation-box>li>a {color: ' . get_theme_mod('header_default_menu_color', sanitize_hex_color('#ffffff')) . ' ;} .header-navigation ul.navigation-box>li>a:before {background-color: ' . get_theme_mod('header_default_menu_color', sanitize_hex_color('#ffffff')) . ' ;}';
		$zeino_inline_style .= '.stricked-menu.header-navigation ul.navigation-box>li>a {color: ' . get_theme_mod('header_stricked_menu_link_color', sanitize_hex_color('#ffffff')) . ' ;} .stricked-menu.header-navigation ul.navigation-box>li>a:before {background-color: ' . get_theme_mod('header_stricked_menu_link_color', sanitize_hex_color('#ffffff')) . ' ;}';


		if (is_page()) {
			$zeino_page_title_padding_top = !empty(get_post_meta(get_the_ID(), 'zeino_page_content_padding_top', true)) ? get_post_meta(get_the_ID(), 'zeino_page_content_padding_top', true) : 'inherit';
			$zeino_page_title_padding_bottom = !empty(get_post_meta(get_the_ID(), 'zeino_page_content_padding_bottom', true)) ? get_post_meta(get_the_ID(), 'zeino_page_content_padding_bottom', true) : 'inherit';
			$zeino_page_title_padding = ' .blog-details {padding-top: ' . $zeino_page_title_padding_top . ';padding-bottom: ' . $zeino_page_title_padding_bottom . ';}';
			$zeino_page_title_padding = ' .blog-grid-page {padding-top: ' . $zeino_page_title_padding_top . ';padding-bottom: ' . $zeino_page_title_padding_bottom . ';}';
			$zeino_page_title_padding .= ' .full-width-page {padding-top: ' . $zeino_page_title_padding_top . ';padding-bottom: ' . $zeino_page_title_padding_bottom . ';}';
			$zeino_inline_style .= $zeino_page_title_padding;

			$zeino_page_color_base = !empty(get_post_meta(get_the_ID(), '_zeino_base_color', true)) ? get_post_meta(get_the_ID(), '_zeino_base_color', true) : get_theme_mod('theme_base_color', sanitize_hex_color('#e7062b'));
			$zeino_page_color_primary = !empty(get_post_meta(get_the_ID(), '_zeino_primary_color', true)) ? get_post_meta(get_the_ID(), '_zeino_primary_color', true) : get_theme_mod('theme_primary_color', sanitize_hex_color('#F7C324'));
			$zeino_page_color_black = !empty(get_post_meta(get_the_ID(), '_zeino_black_color', true)) ? get_post_meta(get_the_ID(), '_zeino_black_color', true) : get_theme_mod('theme_black_color', sanitize_hex_color('#2a2d3b'));
			$zeino_page_color_gray = !empty(get_post_meta(get_the_ID(), '_zeino_gray_color', true)) ? get_post_meta(get_the_ID(), '_zeino_gray_color', true) : get_theme_mod('theme_gray_color', sanitize_hex_color('#fbf8f4'));
			$zeino_page_color_values = ':root {--thm-base-color: ' . $zeino_page_color_base . '; --thm-primary-color: ' . $zeino_page_color_primary . '; --thm-black-color: ' . $zeino_page_color_black . '; --thm-gray-color: ' . $zeino_page_color_gray . '; }';
			$zeino_inline_style .= $zeino_page_color_values;

			$zeino_page_header_image = empty(get_post_meta(get_the_ID(), 'zeino_set_header_image', true)) ? $zeino_inner_banner_bg : get_post_meta(get_the_ID(), 'zeino_set_header_image', true);

			$zeino_inline_style .= '.inner-banner { background-image: url(' . esc_url( $zeino_page_header_image ) . '); }';
		}

		wp_add_inline_style('zeino-style', $zeino_inline_style);
	}
endif;

add_action('wp_enqueue_scripts', 'zeino_theme_customizer_scripts');
