<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package zeino
 */

?>
<div id="post-<?php esc_attr(the_ID()); ?>" <?php esc_attr(post_class('blog-two__single')); ?>>
    <div class="blog-two__image">
        <?php wp_kses( zeino_post_thumbnail('zeino_core_770x447'), 'zeino_allowed_tags' ); ?>
        <span class="blog-two__date"> <?php echo wp_kses( the_time( get_option( 'date_format' ) ), 'zeino_allowed_tags' ); ?> </span>
    </div><!-- /.blog-two__image -->
    <div class="blog-two__content">
        <div class="blog-two__content-inner">
            <div class="blog-two__meta">
                <?php zeino_posted_by('blog-two'); ?>
                <?php zeino_comments_meta('blog-two'); ?>
            </div><!-- /.blog-two__meta -->
            <h3 class="blog-two__title"><a href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo esc_html(get_the_title()); ?></a></h3><!-- /.blog-two__title -->
            <p class="blog-two__text"> <?php echo strip_shortcodes( zeino_excerpt( 65, false ) ); ?> </p>
            <a href="<?php echo esc_url(get_the_permalink()); ?>" class="blog-two__link"><?php echo esc_html__( 'Read More', 'zeino' ) ?></a>
        </div><!-- /.blog-two__content-inner -->

    </div><!-- /.blog-two__content -->
</div><!-- /.blog-two__single -->