<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package zeino
 */

?>
<div id="post-<?php esc_attr(the_ID()); ?>" <?php esc_attr(post_class('blog-details__content')); ?>>
    <div class="blog-details__image blog-two__image">
        <?php wp_kses(zeino_post_thumbnail('zeino_core_770x447'),'zeino_allowed_tags'); ?>
        <span class="blog-two__date"> <?php echo wp_kses( the_time( get_option( 'date_format' ) ), 'zeino_allowed_tags' ); ?> </span>
    </div><!-- /.blog-details__image -->
    <?php the_content(); ?>
    <div class="clear-both"></div>
    <?php wp_link_pages(); ?>

    <div class="blog-details__bottom-content d-flex justify-content-between">
        <?php
            /* translators: used between list items, there is a space after the comma */
            $categories_list = get_the_category_list( esc_html__( ', ', 'zeino' ) );
            if ( $categories_list ) {
                /* translators: 1: list of categories. */
                printf( '<span class="cat-links">' . esc_html__( 'Posted in %1$s', 'zeino' ) . '</span>', $categories_list ); // WPCS: XSS OK.
            }

            /* translators: used between list items, there is a space after the comma */
            $tags_list = get_the_tag_list( '', esc_html_x( ', ', 'list item separator', 'zeino' ) );
            if ( $tags_list ) {
                /* translators: 1: list of tags. */
                printf( '<span class="tags-links">' . esc_html__( 'Tagged %1$s', 'zeino' ) . '</span>', $tags_list ); // WPCS: XSS OK.
            }
        ?>
    </div><!-- /.blog-details__bottom-content -->
</div><!-- /.blog-details__content -->