<?php

/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package zeino
 */

?>
<div id="post-<?php esc_attr(the_ID()); ?>" <?php esc_attr(post_class('blog-one__single')); ?>>
    <div class="blog-one__image">
        <?php wp_kses(zeino_post_thumbnail( 'zeino_core_370x250' ), 'zeino_allowed_tags'); ?>
    </div><!-- /.blog-one__image -->

    <div class="blog-one__content">
        <div class="blog-one__content-inner">
            <div class="blog-one__meta">
                <?php zeino_posted_by('blog-one'); ?>
                <?php zeino_comments_meta('blog-one'); ?>
            </div><!-- /.blog-one__meta -->
            <h3 class="blog-one__title"><a href="<?php echo esc_url(get_the_permalink()); ?>"><?php echo esc_html(get_the_title()); ?></a></h3><!-- /.blog-one__title -->
        </div><!-- /.blog-one__content-inner -->
        <a href="<?php echo esc_url(get_the_permalink()); ?>" class="blog-one__link"><i class="icon-revresed zeino-icon-left-arrow"></i></a>
        <span class="blog-one__date"> <?php echo wp_kses( the_time( get_option( 'date_format' ) ), 'zeino_allowed_tags' ); ?> </span>
    </div><!-- /.blog-one__content -->
</div><!-- /.blog-one__single -->